tigase.jaxmpp.j2se

## Class ConnectionConfiguration

- java.lang.Object
- - tigase.jaxmpp.core.client.ConnectionConfiguration
  - - tigase.jaxmpp.j2se.ConnectionConfiguration

-     public class ConnectionConfiguration
      extends ConnectionConfiguration

  Connection configuration object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConnectionConfiguration.ConnectionType`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.ConnectionConfiguration

      `sessionObject`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBoshService(String boshService)` Set BOSH Service URL.
    `void` | `setConnectionType(ConnectionConfiguration.ConnectionType connectionType)` Set connection type.
    `void` | `setDisableTLS(boolean disabled)` Enable or disable TLS usage.
    `void` | `setPort(int port)` Set server port.
    `void` | `setProxy(String host, int port)` Set connection proxy.
    `void` | `setProxyType(Proxy.Type type)` Set proxy type.
    `void` | `setProxyUsernamePassword(String username, String password)` Set proxy authentication credentials.
    `void` | `setServer(String server)` Set server hostname.
    `void` | `setUseSASL(boolean useSASL)` Enable o disable SASL.

    - ### Methods inherited from class tigase.jaxmpp.core.client.ConnectionConfiguration

      `setCredentialsCallback, setDomain, setResource, setUserJID, setUserJID, setUserPassword`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setBoshService

          public void setBoshService(String boshService)

      Set BOSH Service URL. Required if connection type is `bosh`.
      Parameters:
        `boshService` - BOSH service URL

    - #### setConnectionType

          public void setConnectionType(ConnectionConfiguration.ConnectionType connectionType)

      Set connection type.
      Parameters:
        `connectionType` - connection type

    - #### setDisableTLS

          public void setDisableTLS(boolean disabled)

      Enable or disable TLS usage.
      Parameters:
        `disabled` - `true` is TLS should be disabled.

    - #### setPort

          public void setPort(int port)

      Set server port. Default is 5222
      Parameters:
        `port` -

    - #### setProxy

          public void setProxy(String host,
                               int port)

      Set connection proxy.
      Parameters:
        `host` - proxy host or `null` for direct connection.
        `port` - proxy port.

    - #### setProxyType

          public void setProxyType(Proxy.Type type)

      Set proxy type.
      Parameters:
        `type` - type of proxy. Available values: `HTTP` and `SOCKS`.

    - #### setProxyUsernamePassword

          public void setProxyUsernamePassword(String username,
                                               String password)

      Set proxy authentication credentials.
      Parameters:
        `username` - proxy username.
        `password` - proxy password.

    - #### setServer

          public void setServer(String server)

      Set server hostname. Not needed if it is equals to hostname of JID.
      Parameters:
        `server` - hostname

    - #### setUseSASL

          public void setUseSASL(boolean useSASL)

      Enable o disable SASL. Default `true`.
      Parameters:
        `useSASL` - `false` is only non-SASL authentication (XEP-0078) should be available.

Copyright © 2006–2019 Tigase. All rights reserved.